<?php

namespace App\Repositories;

use App\Models\ConfigCityManagement;

class ConfigCityManagementRepository
{
    public function __construct(ConfigCityManagement $configCityManagement)
    {
        $this->configCityManagement = $configCityManagement;
    }


    public function index($request)
    {
        $perPage = isset($request['per_page']) ? $request['per_page'] : env('PER_PAGE');
        $this->configCityManagement = $this->configCityManagement
                ->orderBy('id', 'desc')
                ->where('status',0);

            return $this->configCityManagement->paginate($perPage);

    }
}